/*
 *    Copyright (c) Yaron Keren 1994-1996. All rights reserved.
 */
#include "file_23.h"
#include "file_7.h"
M balance(M a);
M balance(M a, i_o_t, Mr t, Mr l_33);
M chol(M l_33);
M chol(M x, i_o_t, Mr l_211, Mr p);
M cond(M x);
M det(M x);
M dongarra(M x);
M eig(M x);
M eig(M x, i_o_t, Mr v, Mr d);
M eig(M a, M l_33);
M eig(M a, M l_33, i_o_t, Mr v, Mr d);
M expm(M l_139);
M hess(M a);
M hess(M a, i_o_t, Mr p, Mr h);
M inv(M x);
M invdiv(M a, M l_33);
M lu(M x);
M lu(M x, i_o_t, Mr l_150, Mr l_143);
M lu(M x, i_o_t, Mr l_150, Mr l_143, Mr p);
M norm(M x, M l_212=two_M);
M operator /(M x, M y);
M powM(M x,M y);
M qr(M x);
M qr(M x, M);
M qr(M x, i_o_t, Mr l_213, Mr r);
M qr(M x, M, i_o_t, Mr l_213, Mr r);
M qr(M x, i_o_t, Mr l_213, Mr r, Mr l_1);
M qr(M x, M, i_o_t, Mr l_213, Mr r, Mr l_1);
M qz(M a, M l_33, i_o_t, Mr l_214, Mr l_215);
M qz(M a, M l_33, i_o_t, Mr l_214, Mr l_215, Mr l_213);
M qz(M a, M l_33, i_o_t, Mr l_214, Mr l_215, Mr l_213, Mr l_64);
M qz(M a, M l_33, i_o_t, Mr l_214, Mr l_215, Mr l_213, Mr l_64, Mr v);
M rank(M x);
M rank(M x, M l_216);
M rcond(M x);
M schur(M x);
M schur(M x, i_o_t, Mr l_143, Mr t);
M svd(M x);
M svd(M x, M l_64);
M svd(M x, i_o_t, Mr U, Mr l_217, Mr l_218);
M svd(M x, M l_64, i_o_t, Mr U, Mr l_217, Mr l_218);
